Index: palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4497)
+++ palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4498)
@@ -1942,8 +1807,8 @@
           ENDDO
 
-          return_value = dom_def_dim( vmea(l)%nc_filename,                     &
-                                      dimension_name = 'station_soil',         &
-                                      output_type = 'int32',                   &
-                                      bounds = (/1_iwp,vmea(l)%ns_soil_tot/),  &
+          return_value = dom_def_dim( vmea(l)%nc_filename,                                         &
+                                      dimension_name = 'station_soil',                             &
+                                      output_type = 'int32',                                       &
+                                      bounds = (/1_iwp,vmea(l)%ns_soil_tot/),                      &
                                       values_int32 = ndim )
           DEALLOCATE( ndim )
@@ -1955,8 +1820,8 @@
           ENDDO
 
-          return_value = dom_def_dim( vmea(l)%nc_filename,                     &
-                                      dimension_name = 'ntime_soil',           &
-                                      output_type = 'int32',                   &
-                                      bounds = (/1_iwp,ntimesteps/),           &
+          return_value = dom_def_dim( vmea(l)%nc_filename,                                         &
+                                      dimension_name = 'ntime_soil',                               &
+                                      output_type = 'int32',                                       &
+                                      bounds = (/1_iwp,ntimesteps/),                               &
                                       values_int32 = ndim )
           DEALLOCATE( ndim )
@@ -1964,229 +1829,229 @@
 !--       time for soil
           variable_name = 'time_soil'
-          return_value = dom_def_var( vmea(l)%nc_filename,                     &
-                                      variable_name = variable_name,           &
-                                      dimension_names = (/'station_soil',      &
-                                                          'ntime_soil  '/),    &
+          return_value = dom_def_var( vmea(l)%nc_filename,                                         &
+                                      variable_name = variable_name,                               &
+                                      dimension_names = (/'station_soil',                          &
+                                                          'ntime_soil  '/),                        &
                                       output_type = 'real32' )
 !
 !--       station_name for soil
           variable_name = 'station_name_soil'
-          return_value = dom_def_var( vmea(l)%nc_filename,                     &
-                                      variable_name = variable_name,           &
-                                      dimension_names = (/ 'max_name_len',     &
-                                                           'station_soil' /),  &
+          return_value = dom_def_var( vmea(l)%nc_filename,                                         &
+                                      variable_name = variable_name,                               &
+                                      dimension_names = (/ 'max_name_len',                         &
+                                                           'station_soil' /),                      &
                                       output_type = 'char' )
 !
 !--       z
           variable_name = 'z_soil'
-          return_value = dom_def_var( vmea(l)%nc_filename,                     &
-                                      variable_name = variable_name,           &
-                                      dimension_names = (/'station_soil'/),    &
+          return_value = dom_def_var( vmea(l)%nc_filename,                                         &
+                                      variable_name = variable_name,                               &
+                                      dimension_names = (/'station_soil'/),                        &
                                       output_type = 'real32' )
 !
 !--       station_h for soil
           variable_name = 'station_h_soil'
-          return_value = dom_def_var( vmea(l)%nc_filename,                     &
-                                      variable_name = variable_name,           &
-                                      dimension_names = (/'station_soil'/),    &
+          return_value = dom_def_var( vmea(l)%nc_filename,                                         &
+                                      variable_name = variable_name,                               &
+                                      dimension_names = (/'station_soil'/),                        &
                                       output_type = 'real32' )
 !
 !--       x soil
           variable_name = 'x_soil'
-          return_value = dom_def_var( vmea(l)%nc_filename,                     &
-                                      variable_name = variable_name,           &
-                                      dimension_names = (/'station_soil'/),    &
+          return_value = dom_def_var( vmea(l)%nc_filename,                                         &
+                                      variable_name = variable_name,                               &
+                                      dimension_names = (/'station_soil'/),                        &
                                       output_type = 'real32' )
 !
 !-        y soil
           variable_name = 'y_soil'
-          return_value = dom_def_var( vmea(l)%nc_filename,                     &
-                                      variable_name = variable_name,           &
-                                      dimension_names = (/'station_soil'/),    &
+          return_value = dom_def_var( vmea(l)%nc_filename,                                         &
+                                      variable_name = variable_name,                               &
+                                      dimension_names = (/'station_soil'/),                        &
                                       output_type = 'real32' )
 !
 !--       E-UTM soil
           variable_name = 'E_UTM_soil'
-          return_value = dom_def_var( vmea(l)%nc_filename,                     &
-                                      variable_name = variable_name,           &
-                                      dimension_names = (/'station_soil'/),    &
+          return_value = dom_def_var( vmea(l)%nc_filename,                                         &
+                                      variable_name = variable_name,                               &
+                                      dimension_names = (/'station_soil'/),                        &
                                       output_type = 'real32' )
 !
 !--       N-UTM soil
           variable_name = 'N_UTM_soil'
-          return_value = dom_def_var( vmea(l)%nc_filename,                     &
-                                      variable_name = variable_name,           &
-                                      dimension_names = (/'station_soil'/),    &
+          return_value = dom_def_var( vmea(l)%nc_filename,                                         &
+                                      variable_name = variable_name,                               &
+                                      dimension_names = (/'station_soil'/),                        &
                                       output_type = 'real32' )
 !
 !--       latitude soil
           variable_name = 'lat_soil'
-          return_value = dom_def_var( vmea(l)%nc_filename,                     &
-                                      variable_name = variable_name,           &
-                                      dimension_names = (/'station_soil'/),    &
+          return_value = dom_def_var( vmea(l)%nc_filename,                                         &
+                                      variable_name = variable_name,                               &
+                                      dimension_names = (/'station_soil'/),                        &
                                       output_type = 'real32' )
 !
 !--       longitude soil
           variable_name = 'lon_soil'
-          return_value = dom_def_var( vmea(l)%nc_filename,                     &
-                                      variable_name = variable_name,           &
-                                      dimension_names = (/'station_soil'/),    &
+          return_value = dom_def_var( vmea(l)%nc_filename,                                         &
+                                      variable_name = variable_name,                               &
+                                      dimension_names = (/'station_soil'/),                        &
                                       output_type = 'real32' )
 !
-!--       Set attributes for the coordinate variables. Note, not all coordinates
-!--       have the same number of attributes.
+!--       Set attributes for the coordinate variables. Note, not all coordinates have the same
+!--       number of attributes.
 !--       Units
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'time_soil',             &
-                                      attribute_name = char_unit,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'time_soil',                                 &
+                                      attribute_name = char_unit,                                  &
                                       value = 'seconds since ' // origin_date_time )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'z_soil',                &
-                                      attribute_name = char_unit,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'z_soil',                                    &
+                                      attribute_name = char_unit,                                  &
                                       value = 'm' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'station_h_soil',        &
-                                      attribute_name = char_unit,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'station_h_soil',                            &
+                                      attribute_name = char_unit,                                  &
                                       value = 'm' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'x_soil',                &
-                                      attribute_name = char_unit,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'x_soil',                                    &
+                                      attribute_name = char_unit,                                  &
                                       value = 'm' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'y_soil',                &
-                                      attribute_name = char_unit,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'y_soil',                                    &
+                                      attribute_name = char_unit,                                  &
                                       value = 'm' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'E_UTM_soil',            &
-                                      attribute_name = char_unit,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'E_UTM_soil',                                &
+                                      attribute_name = char_unit,                                  &
                                       value = 'm' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'N_UTM_soil',            &
-                                      attribute_name = char_unit,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'N_UTM_soil',                                &
+                                      attribute_name = char_unit,                                  &
                                       value = 'm' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'lat_soil',              &
-                                      attribute_name = char_unit,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'lat_soil',                                  &
+                                      attribute_name = char_unit,                                  &
                                       value = 'degrees_north' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'lon_soil',              &
-                                      attribute_name = char_unit,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'lon_soil',                                  &
+                                      attribute_name = char_unit,                                  &
                                       value = 'degrees_east' )
 !
 !--       Long name
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'station_name_soil',     &
-                                      attribute_name = char_long,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'station_name_soil',                         &
+                                      attribute_name = char_long,                                  &
                                       value = 'station name')
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'time_soil',             &
-                                      attribute_name = char_long,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'time_soil',                                 &
+                                      attribute_name = char_long,                                  &
                                       value = 'time')
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'z_soil',                &
-                                      attribute_name = char_long,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'z_soil',                                    &
+                                      attribute_name = char_long,                                  &
                                       value = 'height above origin' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'station_h_soil',        &
-                                      attribute_name = char_long,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'station_h_soil',                            &
+                                      attribute_name = char_long,                                  &
                                       value = 'surface altitude' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'x_soil',                &
-                                      attribute_name = char_long,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'x_soil',                                    &
+                                      attribute_name = char_long,                                  &
                                       value = 'distance to origin in x-direction' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'y_soil',                &
-                                      attribute_name = char_long,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'y_soil',                                    &
+                                      attribute_name = char_long,                                  &
                                       value = 'distance to origin in y-direction' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'E_UTM_soil',            &
-                                      attribute_name = char_long,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'E_UTM_soil',                                &
+                                      attribute_name = char_long,                                  &
                                       value = 'easting' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'N_UTM_soil',            &
-                                      attribute_name = char_long,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'N_UTM_soil',                                &
+                                      attribute_name = char_long,                                  &
                                       value = 'northing' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'lat_soil',              &
-                                      attribute_name = char_long,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'lat_soil',                                  &
+                                      attribute_name = char_long,                                  &
                                       value = 'latitude' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'lon_soil',              &
-                                      attribute_name = char_long,              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'lon_soil',                                  &
+                                      attribute_name = char_long,                                  &
                                       value = 'longitude' )
 !
 !--       Standard name
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'station_name_soil',     &
-                                      attribute_name = char_standard,          &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'station_name_soil',                         &
+                                      attribute_name = char_standard,                              &
                                       value = 'platform_name')
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'time_soil',             &
-                                      attribute_name = char_standard,          &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'time_soil',                                 &
+                                      attribute_name = char_standard,                              &
                                       value = 'time')
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'z_soil',                &
-                                      attribute_name = char_standard,          &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'z_soil',                                    &
+                                      attribute_name = char_standard,                              &
                                       value = 'height_above_mean_sea_level' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'station_h_soil',        &
-                                      attribute_name = char_standard,          &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'station_h_soil',                            &
+                                      attribute_name = char_standard,                              &
                                       value = 'surface_altitude' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'E_UTM_soil',            &
-                                      attribute_name = char_standard,          &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'E_UTM_soil',                                &
+                                      attribute_name = char_standard,                              &
                                       value = 'projection_x_coordinate' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'N_UTM_soil',            &
-                                      attribute_name = char_standard,          &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'N_UTM_soil',                                &
+                                      attribute_name = char_standard,                              &
                                       value = 'projection_y_coordinate' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'lat_soil',              &
-                                      attribute_name = char_standard,          &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'lat_soil',                                  &
+                                      attribute_name = char_standard,                              &
                                       value = 'latitude' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'lon_soil',              &
-                                      attribute_name = char_standard,          &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'lon_soil',                                  &
+                                      attribute_name = char_standard,                              &
                                       value = 'longitude' )
 !
 !--       Axis
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'time_soil',             &
-                                      attribute_name = 'axis',                 &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'time_soil',                                 &
+                                      attribute_name = 'axis',                                     &
                                       value = 'T')
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'z_soil',                &
-                                      attribute_name = 'axis',                 &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'z_soil',                                    &
+                                      attribute_name = 'axis',                                     &
                                       value = 'Z' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'x_soil',                &
-                                      attribute_name = 'axis',                 &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'x_soil',                                    &
+                                      attribute_name = 'axis',                                     &
                                       value = 'X' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'y_soil',                &
-                                      attribute_name = 'axis',                 &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'y_soil',                                    &
+                                      attribute_name = 'axis',                                     &
                                       value = 'Y' )
 !
 !--       Set further individual attributes for the coordinate variables.
 !--       For station name soil
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'station_name_soil',     &
-                                      attribute_name = 'cf_role',              &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'station_name_soil',                         &
+                                      attribute_name = 'cf_role',                                  &
                                       value = 'timeseries_id' )
 !
 !--       For time soil
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'time_soil',             &
-                                      attribute_name = 'calendar',             &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'time_soil',                                 &
+                                      attribute_name = 'calendar',                                 &
                                       value = 'proleptic_gregorian' )
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'time_soil',             &
-                                      attribute_name = 'bounds',               &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'time_soil',                                 &
+                                      attribute_name = 'bounds',                                   &
                                       value = 'time_bounds' )
 !
 !--       For z soil
-          return_value = dom_def_att( vmea(l)%nc_filename,                     &
-                                      variable_name = 'z_soil',                &
-                                      attribute_name = 'positive',             &
+          return_value = dom_def_att( vmea(l)%nc_filename,                                         &
+                                      variable_name = 'z_soil',                                    &
+                                      attribute_name = 'positive',                                 &
                                       value = 'up' )
        ENDIF
